body {
	background:#4545DA url('background.bmp')
	repeat-y right top; margin-right:10px;
/*
	background-color:#B2E6FF;
*/
	font-family:Courier;
}

<style>
h1 {
	color:white;
}
a {
	color:#660000;font-family:Courier;
	}
.center {                            /* questa è una classe */
   text-align:center;
}
#intestazione {                      /* questo è solo per l'id */
	border-style:inset;
	border-right-style:dotted;
	border-left-style:dotted;
	background-color:blue;
	text-align:center;
	padding:1% 1% 1% 2%;
	border-color:green;
	border-width:15px;
}
.outlined {
	outline-style:solid;
	outline-width:1px;
	outline-color:black;
}
.margin {
	margin-top:50px;
	margin-bottom:70px;
}
div.first {
	border:10px solid gray;
	text-align:center;
	padding:20px;
}
p.padding {
	padding-top:25px;
	padding-bottom:25px;
	padding-right:50px;
	padding-left:50px;
}
.bl {
	display:block;
}
.il {
	display:inline;
}
.pos_fixed {
	position:fixed;
}


/* può anche esserci una classe solo per alcuni elementi, del tipo:
p.center {
	text-align:center;
}
che funziona solo se chiamata nei tag p */


/* -------------------------------------------------------------------------------------------------------------------

   bckgrnd elements

background-color:rose;
background-image:url('paper.gif');
background-repeat:repeat-x;                 -> ripetizione in orizzontale
background-repeat:no-repeat;
background-position:right top;
   sono abbreviabili, come si è usato qui.
   
   ALLINEAMENTI DI TESTO

h1 {text-align:center;}
p.date {text-align:right;}
p.main {text-align:justify;}

a {text-decoration:none;}
h1 {text-decoration:overline;}
h2 {text-decoration:line-through;}
h3 {text-decoration:underline;}
h4 {text-decoration:blink;}
h1 {letter-spacing:2px;}
h2 {letter-spacing:-3px;}
h1 {font-size:2.5em;}                       -> 40px/16=2.5em
h2 {font-size:1.875em;}  						  -> 30px/16=1.875em

p {font-size:0.875em;} 							  -> 14px/16=0.875em
p.uppercase {text-transform:uppercase;}
p.lowercase {text-transform:lowercase;}
p.capitalize {text-transform:capitalize;}
p {text-indent:50px;}
p.small {line-height:70%;}
p.big {line-height:200%;}
p.normal {font-variant:normal;}
p.small {font-variant:small-caps;}

	LINKS

a:link {text-decoration:none;}    		/* unvisited link
a:visited {text-decoration:none;} 		/* visited link
a:hover {text-decoration:underline;}   /* mouse over link
a:active {text-decoration:underline;}  /* selected link
a.one:link {color:#ff0000;}
a.two:hover {font-size:150%;}
a.three:link {color:#ff0000;}
a.four:link {color:#ff0000;}
a.five:hover {text-decoration:underline;}

  più compattamente,

a:link,a:visited
	{
	 	display:block;
	 	font-weight:bold;
		color:#FFFFFF;
		background-color:#98bf21;
		width:120px;
		text-align:center;
		padding:4px;
		text-decoration:none;
	}
a:hover,a:active
	{
		background-color:#7A991A;
	}

	LISTS

	all types:

ul.a {list-style-type:circle;}
ul.b {list-style-type:disc;}
ul.c {list-style-type:square;}
ol.d {list-style-type:armenian;}
ol.e {list-style-type:cjk-ideographic;}
ol.f {list-style-type:decimal;}
ol.g {list-style-type:decimal-leading-zero;}
ol.h {list-style-type:georgian;}
ol.i {list-style-type:hebrew;}
ol.j {list-style-type:hiragana;}
ol.k {list-style-type:hiragana-iroha;}
ol.l {list-style-type:katakana;}
ol.m {list-style-type:katakana-iroha;}
ol.n {list-style-type:lower-alpha;}
ol.o {list-style-type:lower-greek;}
ol.p {list-style-type:lower-latin;}
ol.q {list-style-type:lower-roman;}
ol.r {list-style-type:upper-alpha;}
ol.s {list-style-type:upper-latin;}
ol.t {list-style-type:upper-roman;}
ol.u {list-style-type:none;}
ol.v {list-style-type:inherit;}

	TABLES

	qui è molto più esteso di ciò che è riportato

table,td,th
{
border:1px solid black;
}
table
{
width:100%;
}
th
{
height:50px;
}

	BORDERS

	come si possono settare i bordi
	Use the "border-style" property to set the borders first.

p.none {border-style:none;}
p.dotted {border-style:dotted;}
p.dashed {border-style:dashed;}
p.solid {border-style:solid;}
p.double {border-style:double;}
p.groove {border-style:groove;}
p.ridge {border-style:ridge;}
p.inset {border-style:inset;}
p.outset {border-style:outset;}
p.hidden {border-style:hidden;}

	attenzione alle abbreviazioni:

border-style:dotted solid double dashed;
	top border is dotted
	right border is solid
	bottom border is double
	left border is dashed

border-style:dotted solid double;
	top border is dotted
	right and left borders are solid
	bottom border is double

border-style:dotted solid;
	top and bottom borders are dotted
	right and left borders are solid

border-style:dotted;
	all four borders are dotted

	The border property is a shorthand for the following individual border properties:
border-width
border-style (required)
border-color


*/





</style>